aboutsummaryrefslogtreecommitdiffstats
path: root/main/font-bh-lucidatypewriter-100dpi/APKBUILD
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2015-09-17 06:45:30 +0000
committerEivind Uggedal <eivind@uggedal.com>2015-09-17 08:30:05 +0000
commit45278362d0deed475884ac3cbabf98f28f8e011b (patch)
treefad83730d8b7219bbc349a6eb79d7680097478cd /main/font-bh-lucidatypewriter-100dpi/APKBUILD
parent32e62dc7051f54cd22fc11a647083e01749b872a (diff)
downloadaports-45278362d0deed475884ac3cbabf98f28f8e011b.tar.gz
aports-45278362d0deed475884ac3cbabf98f28f8e011b.tar.bz2
aports-45278362d0deed475884ac3cbabf98f28f8e011b.tar.xz
main/font-bh-lucidatypewriter-100dpi: upgrade to 1.0.3
Diffstat (limited to 'main/font-bh-lucidatypewriter-100dpi/APKBUILD')
-rw-r--r--main/font-bh-lucidatypewriter-100dpi/APKBUILD19
1 files changed, 15 insertions, 4 deletions
diff --git a/main/font-bh-lucidatypewriter-100dpi/APKBUILD b/main/font-bh-lucidatypewriter-100dpi/APKBUILD
index b9c4d4cdf9..64e31f4ec6 100644
--- a/main/font-bh-lucidatypewriter-100dpi/APKBUILD
+++ b/main/font-bh-lucidatypewriter-100dpi/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-bh-lucidatypewriter-100dpi
-pkgver=1.0.0
-pkgrel=4
+pkgver=1.0.3
+pkgrel=0
pkgdesc="X.Org Bigelow & Holmes Lucida bitmap fonts"
url="http://xorg.freedesktop.org/"
arch="noarch"
@@ -11,6 +11,11 @@ makedepends="font-util-dev font-util bdftopcf"
install=
source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2"
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ update_config_sub || return 1
+}
+
build() {
cd "$srcdir"/$pkgname-$pkgver
./configure \
@@ -25,7 +30,13 @@ build() {
package() {
cd "$srcdir"/$pkgname-$pkgver
- make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
+ make -j1 DESTDIR="$pkgdir" \
+ MKFONTDIR=: \
+ MKFONTSCALE=: \
+ FCCACHE=: \
+ install || return 1
}
-md5sums="c44d3f730564da465993e9292a33c235 font-bh-lucidatypewriter-100dpi-1.0.0.tar.bz2"
+md5sums="c8b73a53dcefe3e8d3907d3500e484a9 font-bh-lucidatypewriter-100dpi-1.0.3.tar.bz2"
+sha256sums="62a83363c2536095fda49d260d21e0847675676e4e3415054064cbdffa641fbb font-bh-lucidatypewriter-100dpi-1.0.3.tar.bz2"
+sha512sums="1862003c20aa7709ea07487a4326c619e2beb33b7069d644f438d64182b41a06039c69e2867921b4d12939612a4b8e1e1727fd15851aeab9a0361060183e3b0f font-bh-lucidatypewriter-100dpi-1.0.3.tar.bz2"